import { Editor } from '@tiptap/core';
import { Ref } from 'vue';
import { EditorCommand, EditorCommandGroup } from '.';
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/marks/bold}
 */
export declare function useBold(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/marks/italic}
 */
export declare function useItalic(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/marks/underline}
 */
export declare function useUnderline(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
/**
 * @param editor
 * @see {@link https://tiptap.dev/api/marks/strike}
 */
export declare function useStrike(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand>;
export declare function useStyles(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommand[]>;
export declare function useStylesGroup(editor: Ref<Editor | undefined>): import("vue").ComputedRef<EditorCommandGroup>;
